# Uses of Class
org.springframework.scheduling.config.ScheduledTask

Packages that use ScheduledTask
Package
Description
org.springframework.scheduling.annotation
Annotation support for asynchronous method execution.
org.springframework.scheduling.config
Support package for declarative scheduling configuration, with XML schema being the primary configuration format.

## Uses of ScheduledTask in org.springframework.scheduling.annotation

Methods in org.springframework.scheduling.annotation that return types with arguments of type ScheduledTask
Modifier and Type
Method
Description
`Set<ScheduledTask>`
ScheduledAnnotationBeanPostProcessor.`getScheduledTasks()`
Return all currently scheduled tasks, from `Scheduled` methods as well as from programmatic `SchedulingConfigurer` interaction.

## Uses of ScheduledTask in org.springframework.scheduling.config

Methods in org.springframework.scheduling.config that return ScheduledTask
Modifier and Type
Method
Description
`ScheduledTask`
ScheduledTaskRegistrar.`scheduleCronTask(CronTask task)`
Schedule the specified cron task, either right away if possible or on initialization of the scheduler.
`ScheduledTask`
ScheduledTaskRegistrar.`scheduleFixedDelayTask(FixedDelayTask task)`
Schedule the specified fixed-delay task, either right away if possible or on initialization of the scheduler.
`ScheduledTask`
ScheduledTaskRegistrar.`scheduleFixedRateTask(FixedRateTask task)`
Schedule the specified fixed-rate task, either right away if possible or on initialization of the scheduler.
`ScheduledTask`
ScheduledTaskRegistrar.`scheduleOneTimeTask(OneTimeTask task)`
Schedule the specified one-time task, either right away if possible or on initialization of the scheduler.
`ScheduledTask`
ScheduledTaskRegistrar.`scheduleTriggerTask(TriggerTask task)`
Schedule the specified trigger task, either right away if possible or on initialization of the scheduler.
Methods in org.springframework.scheduling.config that return types with arguments of type ScheduledTask
Modifier and Type
Method
Description
`Set<ScheduledTask>`
ScheduledTaskHolder.`getScheduledTasks()`
Return an overview of the tasks that have been scheduled by this instance.
`Set<ScheduledTask>`
ScheduledTaskRegistrar.`getScheduledTasks()`
Return all locally registered tasks that have been scheduled by this registrar.